2013-12-04: bluesabre@xfce.org
    * Bugfix release 0.5.4
    * Fix loading of playlists with relative paths (bug #10436)
    * Fix file-filters for audio/video mimetypes (bug #10434)
    * Fix IF/ELSE for plugin installation on multiple platforms (bugs #10142, #10441)
    * Fix "Remove Duplicates" functionality.

2013-08-03: bluesabre@xfce.org
    * Bugfix release 0.5.3
    * Fix “Remember playlist” option in GUI not working (bug #10269)
    * Added accelerator to Audio menu item (bug #10374)
    * Fix remembered playlist not being forgotten when setting disabled.

2013-07-25: bluesabre@xfce.org
    * Bugfix release 0.5.2
    * Revert "Fix MKV subtitles being shown when automatically show subtitles is disabled (bug 9880)"
    * Fix freezing on load of some subtitles (bugs #9194, #10073)
    * Fix crash on startup when "Remember playlist" option enabled (bug #10166)
    * Fix muting after playing media (bugs #10059, #10123)
    * Fix failure to load filenames with space after colon (bug #10236)
    * Fix gstreamer version check (bug #10155)

2013-06-03: bluesabre@xfce.org
    * Bugfix release 0.5.1
    * Fix m3u playlist processing with relative filenames (bug #10038)
    * Fix playlist controls disabling access to media controls (bug #9936)
    * Fix next-button ignoring shuffle mode (bug #10039)
    * Prevent shuffle from playing the same song twice in a row (bug #9859)
    * Fix MKV subtitles being shown when automatically show subtitles is disabled (bug 9880)

2013-03-06: bluesabre@xfce.org
    * Stable release 0.5.0
    * Fixed potential file name clash in parole extension (bug #9728)
    * Fixed libnotify error on make (bug #9744)
    * Fixed moving show/hide playlist button (bug #9755)
    * Fixed mute button toggling (bug #9760)
    * Fixed playlist manipulation while playlist hidden (bug #9762)
    * Fixed webm file support (bug #9798)
    * Fixed aspect ratio calculation (bug $9872)
    * Fixed untransateable strings (#9868)
    * Fixed timer update on user seek (#9761)
    * Fixed auto-saved playlist saving as UTF-8
    * Fixed playlist menu from opening off-screen
    * Fixed notifications plugin notifying on play/pause
    * Added improved locale name support in audio tracks and subtitles
    * Added gstreamer 1.0 support with --with-gstreamer=0.10|1.0
    * Added additional tooltips
    * Added theming to fullscreen widgets
    * Removed now-useless power-manager plugin
    * Removed scrollwheel event from progress scale
    * Improved audio cover image loading
    * Improved support for window manager fullscreen command
    * Improved tray plugin functionality, ported to xfconf
    * Made codec installer transient for player window
    * Moved playlist to .local/share/xfce4/parole

2013-01-05: bluesabre@xfce.org
    * Development release 0.4.0
    * Fixed build bugs #9219, #9226
    * Fixed fullscreen controls (bug #9270)
    * Fixed screensaver inhibition (bug #7407)
    * Fixed freezing with subtitles (bug #9194)
    * Fixed skipping every second ogg-vorbis in playlist (bug #9562)
    * Added embedded mode (bug #8506)
    * Added missing codec installation (bug #8469)
    * Added custom subtitle management (bug #6731)
    * Added CD and DVD playlist support
    * Added DVD navigation support
    * Added Recent Items in open menu
    * Replaced Stream Properties plugin with AudioBox widget
    * Moved notifications from system tray plugin to notify plugin.
    * Added album artwork and details to notifications.
    * Ported configuration to Xfconf
    * Interface refinements
    * Keyboard shortcut refinements (bug #9317)

2012-08-21: bluesabre@xfce.org
    * Bugfix release 0.3.0.2
    * Fixed --enable-gtk-doc
    * Fully tested --enable-gtk-doc, --enable-debug=yes, --enable-debug=full
    * Fixed CD-Drive icon disappearing after drive eject
    * Small interface tweaks to Plugins dialog.

2012-08-18: bluesabre@xfce.org
    * Bugfix release 0.3.0.2
    * Fixed bug that prevented proper distribution

2012-08-16: bluesabre@xfce.org
    * Release version 0.3.0.1 (maintenance release)
    * Updated build requirements (bug #9197)
    * Fixed installation directory for plugins
    * Fixed compilation of plugin api (bug #9196)
    * Fixed compilation of debug=yes and debug=full
    * Fixed compiling twice (bug #9219)

2012-08-09: bluesabre@xfce.org
    * Release version 0.3.0
    * Replaced libxfce4gui dependencies with libxfce4ui
    * Upgraded GTK interface to GTK 2.20+
    * Revamped, minimalistic interface
    * Replaced playbin with playbin2
    * Improved subtitle/audio track handling
    * Fixed many of the existing bugs

2009-08-11: aliov@xfce.org
	* main.c show gtk and gst command line options.
	* parole-medialist.c, allow multiple selection, so handle list up 
	and down+remove when multiple rows are selected.
	* Show a button for fast tracks selection when playing cdda.

2009-08-06: 14:30 Ali aliov@xfce.org
	* parole-gst.c Implement a timeout handler to check state change
	failure, can potentially happen on live streams.
	* Change the about dialog.
	* Change the version from 0.1 to 0.1.90 as the first stable
	version should be 0.2
	* parole-disc.c code to correctly checks if cd drive has a cdda,
	this is a Linux specific thing.
	* parole-gst.c the buffering bit when we force a stop state while
	stream is buffering.
	* parole-openlocation.c button to clear history of open locations.
	* plugins/ Added a simple window title plugin to change
	the title of the main window to the current playing stream.
	* Set All the popup pos to be always center on parent.
	* parole-plugin.c get rid of some useless code+properly
	free the plugin data in finalize.
	* parole-module.c fix a small memory leak.
	* parole.h Support for site in the description of the plugin.
	* parole-statusbar.c hide the separator when going to 
	fullscreen mode.
	* Update the POTFILES.in and the .pot files.

2009-08-04: 18:00 Ali aliov@xfce.org
	* Added option to remember the currently loaded media 
	files in the playlist view.

2009-07-31: 11:30 Ali aliov@xfce.org
	* Support for Recent played media files.
	* Better configuration loading based GValues.
	* Register posix signal handler.
	* Much better cdda support.
	* Patch the makefile by Enrico Tröger to fix issue with 
	generating the enum types.
	* Fix the sound image menu items size.
	* Double clicks a file close the media chooser dialog.
	* Remove grey border in fullscreen mode.
	* Set the main window name to Parole Media Player.
	* Fix the expander packing style in the savelist chooser.
	
2009-07-30: Ali aliov@xfce.org
	* Supports for Aspect ratio views.
	* Remember the size of the main window set.

2009-07-29: Ali aliov@xfce.org
	* Added session code for session interaction.
	* Support nice sound fading on exit.
	* Automtically get the preferred video size and resize
	the video output.
	
2009-07-29: 13:00 Ali aliov@xfce.org
	* Better seeking capabilities with the slider and the buttons.
	* Added some shortcut keys.
	* Added volume in the menu bar.
	* Added saturation+brightness+hue+contrast support
	for the video image sink.
	* Fix getting the date entity tag.

2009-07-29: 09:30 Ali aliov@xfce.org
	* Added ParoleDiscMenu to show a DVD menu when playing DVD.
	* Query media capabilities on paused state.
	* parole-file.c get rid of a useless warning.
	* parole-statusbar.c properly set text info of live streams.
	* parole-gst.c optimize a bit the way we query stream info+
	added support for seeking to DVD chapters.
	
2009-07-28: 13:00 Ali aliov@xfce.org
	* Implement shuffle and repeat mode.
	* Only hide cursor when we are playing a video.
	* Better full screen support.
	* Change popup size on screen size change in fullscreen mode.

2009-07-28: 10:00 Ali aliov@xfce.org
	* tray-icon plugin: Show the base filename if we don't have
	the tag title.
	* main.c: Added show_version function+reorder calls of gst_init and
	gtk_init.
	* parole-statusbar.c Much better statusbar info.
	* parole-gst.c don't try to load subtitles for non local files.
	* Handle all  'prepare-xwindow-id' message synchronously to avoid
	XSync error in some occasions.
	* Handle Failure in Changing state async to query the bus of 
	the real error message.

2009-07-27: 22:00 Ali aliov@xfce.org
	* Fix a wrong pixbuf name introduced in the previous commit.
	* Add missing support for packing plugins in the main notebook.
	* Add GStreamer dependency in the README file.
	* parole-gst.c don't draw logo on expose when buffering.
	* added parole-open-location.{c,h} added parole open location
	to handle location open with entry completion.
	
2009-07-27: 18:00 Ali aliov@xfce.org
	* Don't show notebook tabs if we have one page.
	* Added subtitle font encoding support, encodings code taken from
	gnome-terminal
	* Fix changing state to play when user select another
	visualization plugin.
	* data/interfaces/mediachooser.ui Remove empty box.
	* Update TODO and pot file.

2009-07-27: 15:36 Ali aliov@xfce.org
	* Added system tray icon plugin, with optional notification
	support.
	* plugins, Now have optional configure dialog.
	* Added some home made icons and a logo.
	* Always set the stop button sensitive when we are trying to play
	a media file, this gives the possibility to cancel at any time.

2009-07-26: 01:15 Ali aliov@xfce.org
	* Provides a dialog to load/unload plugins.
	* data/interfaces/ Mark some gtk labels as non-translatable+default
	respone of some buttons in the dialogs.
	* src/misc/parole-rc-utils.{c,h} added function to load list entries+
	Split the configuration file into groups.
	
2009-07-23: 23:00 Ali aliov@xfce.org
	* src/misc/parole-gst.c Only emit media progressed signal when the
	state is playing.
	* src/misc/parole-pl-parser.{c,h} added a playlist parser code based
	on code from totem and from xfmedia.
	* src/misc/parole-filters.c added filters for playlist files.
	* po/POTFILES.in updates.
	* delete the common dir as it is useless.
	* Change ParoleMediaFile to ParoleFile as it doesn't only describe
	a media file.
	
2009-07-19: 10:00 Ali aliov@xfce.org
	* Handled disc uri's like dvd:/ from the command line.

2009-07-19: 01:00  Ali aliov@xfce.org
	* Parole now can play DVD/VCD.
	* src/misc/parole-stream.c no need to hold a reference to 
	ParoleMediaFile	object.
	* Change the flag of dbus_request_name to 
	DBUS_NAME_FLAG_ALLOW_REPLACEMENT to make the -i (new instance) 
	command line working and opening a new instance, such a way 
	if the old instance exists the new one will take the DBus name.

2009-07-16: Ali aliov@xfce.org
        * Parole now has a simple plugin interface. (not yet complete).
	* plugins/properties: media properties plugin (Read only,
	needs to work the writing part with Taglib).
	* No need to install the interface files anymore.
	* Rename src dir to parole.
	* Gtk doc for plugin api (not yet complete).
	* src/misc/parole-player.c stop gst when the stream finishes 
	and no remaining media left in the list.
	* src/misc/parole-player.c rename the media file shown in the media list
	when we get a tag message from gst.
	* src/misc/parole-stream.c Handle tag messages.
	* src/misc/parole-module.{c,h} added a GTypeModule subclass
	* src/misc/parole-mediafile.c expose GObject properties.
	to handle plugins.
	* put some code in the common dir.
	* update POTFILES.in+README+TODO.

2009-07-08 9:00 Ali aliov@xfce.org
	* data/interfaces/playlist.ui disable media list horizontal scrolling.
	* po/POTFILES.in fix missing strings in the interface files.
	* src/gst.c apply the overlay at the correct time, the fix possible  X 
	sync error when playing media files.
	* src/mediafile.c check for error code for the unhandled Gfile info,
	G_IO_ERROR_NOT_SUPPORTED occurs when we try to read info of an unsupported
	location.
	* src/filters.c sort media files that belong to the same dir only.
	* src/main.c send media files by path instead of uri to the running
	instance of the media player.
	* src/medialist.c fix a bug adding folder contains media file.
	from the command line.
	* src/medialist.c Enable ellipsize of the text renderer.

2009-06-19: 13:00 Ali aliov@xfce.org
	* Fix stupid bug causing a crash 
	when adding multiple media files to the list.

2009-06-18: 18:00 Ali aliov@xfce.org
	* Make sure to don't draw the logo on expose event
	when playing a movie stream.

2009-06-18: 12:00 Ali aliov@xfce.org
	* Fix uri command line handling.
	* Automatically load subtitle.
	* Add options for subtitles font.

2009-06-16: 11:30 Ali aliov@xfce.org
	* Show busy cursor when dropping files in the media list view.
	* Fix the date in previous commit (2009 instead of 2008).
	* Added command line to add media files to list.
	* DBus interface for adding media files from a file manager
	if Parole is already running.
	* Add mime type handled by Parole in the desktop file.

2009-06-15: 20:00 Ali aliov@xfce.org
	* Add support for drag and drop in the media list view, it can now
	handle dropping of a single file or list of files or a folder 
	contains media files/other subfolders with media files.

2009-06-15: Ali aliov@xfce.org
	* Clear the play pixbuf when finishing playing a list.
	* Added mime type functions to generate mime types supported
	by Parole, code to do this is taken from Totem.
	* Fix finalizing media chooser object before sending file open signal
	when opening single media file.
	* Add missing files in yesterday's commit.

2009-06-14: Ali aliov@xfce.org
	* Added code for configurations.
	* By default visualizations are disabled when playing audio files.
	* User now can select between multiple Gst visualizations plugins.

2009-06-11: Ali aliov@xfce.org
	* Fix a bug in processing state change in Gst.
	* Added utils.{c,h} with window cursor functions.
	* Fix the date of the previous ChangeLog commit message.

2009-06-10: Ali aliov@xfce.org
	* Split the GtkBuilder interface files into multiple files.

2009-06-07: Ali aliov@xfce.org
	* Reset screen saver counter if we are playing a movie

2009-06-07: Ali aliov@xfce.org
	* Change playbin state to NULL on errors.
	* Hide statusbar+menubar when full screen mode.
	* Hide cursor on vidoe output when playing.

2009-06-06: Ali aliov@xfce.org
	* Button to hide/show playlist.
	* Fallback to ximagesink if xvimagesink is not found.
	* set the play button hidden if there is no media
	in the medialist rows.
	* Provide clear menu in the playlist to clear all media
	* Volume range for changing volume.

2009-06-03: 10:30 Ali aliov@xfce.org
	* Initial import of parole, Juste une parole.
